Module | OpenSSL::SSL::SocketForwarder
In: | openssl/lib/openssl/ssl.rb

### Methods

addr closed? do_not_reverse_lookup= fcntl getsockopt peeraddr setsockopt

### Public Instance methods

addr()

[Source]

    # File openssl/lib/openssl/ssl.rb, line 24
          def addr
            to_io.addr
          end

closed?()

[Source]

    # File openssl/lib/openssl/ssl.rb, line 44
          def closed?
            to_io.closed?
          end

do_not_reverse_lookup=(flag)

[Source]

    # File openssl/lib/openssl/ssl.rb, line 48
          def do_not_reverse_lookup=(flag)
            to_io.do_not_reverse_lookup = flag
          end

fcntl(*args)

[Source]

    # File openssl/lib/openssl/ssl.rb, line 40
          def fcntl(*args)
            to_io.fcntl(*args)
          end

getsockopt(level, optname, optval)

[Source]

    # File openssl/lib/openssl/ssl.rb, line 32
          def getsockopt(level, optname, optval)
            to_io.setsockopt(level, optname, optval)
          end

peeraddr()

[Source]

    # File openssl/lib/openssl/ssl.rb, line 28
          def peeraddr
            to_io.peeraddr
          end

setsockopt(level, optname)

[Source]

    # File openssl/lib/openssl/ssl.rb, line 36
          def setsockopt(level, optname)
            to_io.setsockopt(level, optname)
          end

[Validate]